Public Member Functions

# wxClientDataContainer Class Reference
[Containers]

`#include <wx/clntdata.h>`

Inheritance diagram for wxClientDataContainer:
[legend]

## Detailed Description

This class is a mixin that provides storage and management of "client data".

This data can either be of type void - in which case the data container does not take care of freeing the data again or it is of type wxClientData or its derivatives. In that case the container will free the memory itself later. Note that you must not assign both void data and data derived from the wxClientData class to a container.

Note:
  This functionality is currently duplicated in wxEvtHandler in order to avoid having more than one vtable in that class hierarchy.

##

Library: wxBase
Category: Containers

See also:
  wxEvtHandler, wxClientData

## Public Member Functions
| wxClientDataContainer ()
| Default constructor.
virtual | ~wxClientDataContainer ()
| Destructor.
void * | GetClientData () const
| Get the untyped client data.
wxClientData * | GetClientObject () const
| Get a pointer to the client data object.
void | SetClientData (void *data)
| Set the untyped client data.
void | SetClientObject (wxClientData *data)
| Set the client data object.

List of all members.

## Constructor & Destructor Documentation

wxClientDataContainer::wxClientDataContainer | ( |  | ) |

Default constructor.

virtual wxClientDataContainer::~wxClientDataContainer | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void* wxClientDataContainer::GetClientData | ( |  | ) | const

Get the untyped client data.

wxClientData* wxClientDataContainer::GetClientObject | ( |  | ) | const

Get a pointer to the client data object.

void wxClientDataContainer::SetClientData | ( | void * | data | ) |

Set the untyped client data.

void wxClientDataContainer::SetClientObject | ( | wxClientData * | data | ) |

Set the client data object.

Any previous object will be deleted.

|  | [ top ]